net.sf.jasperreports.engine.query

## Class JRSqlNotEqualClause

- java.lang.Object
- - net.sf.jasperreports.engine.query.JRSqlAbstractEqualClause
  - - net.sf.jasperreports.engine.query.JRSqlNotEqualClause

- All Implemented Interfaces:
    JRClauseFunction

      public class JRSqlNotEqualClause
      extends JRSqlAbstractEqualClause

  SQL "EQUAL" clause function.
  Version:
    $Id: JRSqlNotEqualClause.java 5878 2013-01-07 20:23:13Z teodord $
  Author:
    sanda zaharia (shertage@users.sourceforge.net)
  See Also:
    `JRSqlAbstractEqualClause.apply(JRClauseTokens, JRQueryClauseContext)`

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected static java.lang.String` | `OPERATOR_IS_NOT_NULL`
    `protected static java.lang.String` | `OPERATOR_NOT_EQUAL`
    `protected static JRSqlNotEqualClause` | `singleton`

    - ### Fields inherited from class net.sf.jasperreports.engine.query.JRSqlAbstractEqualClause

      `POSITION_DB_COLUMN, POSITION_PARAMETER`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `JRSqlNotEqualClause()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `handleEqualOperator(java.lang.StringBuffer sbuffer, java.lang.String param, JRQueryClauseContext queryContext)`
    `static JRSqlNotEqualClause` | `instance()` Returns the singleton function instance.

    - ### Methods inherited from class net.sf.jasperreports.engine.query.JRSqlAbstractEqualClause

      `apply, finalizeClause`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### OPERATOR_NOT_EQUAL

          protected static final java.lang.String OPERATOR_NOT_EQUAL

      See Also:
        Constant Field Values

    - #### OPERATOR_IS_NOT_NULL

          protected static final java.lang.String OPERATOR_IS_NOT_NULL

      See Also:
        Constant Field Values

    - #### singleton

          protected static final JRSqlNotEqualClause singleton

  - ### Constructor Detail

    - #### JRSqlNotEqualClause

          public JRSqlNotEqualClause()

  - ### Method Detail

    - #### instance

          public static JRSqlNotEqualClause instance()

      Returns the singleton function instance.
      Returns:
        the singleton function instance

    - #### handleEqualOperator

          protected void handleEqualOperator(java.lang.StringBuffer sbuffer,
                                 java.lang.String param,
                                 JRQueryClauseContext queryContext)

      Specified by:
        `handleEqualOperator` in class `JRSqlAbstractEqualClause`

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com